Skip to content

Facilities

Endpoints to retrieve facilities within the developer's directory.

Get facilities

Request

Get a set of facilities within the developer's network.

Security
ClientCredentialsFlow or AuthorizationCodeFlow
Query
npisstring

A comma-delimited list of Provider NPI numbers. A maximum of 50 items will be accepted at a time. One of zip_code or npis is required.

Example:npis=1234567891,0123456789
zip_codestring

A 5 digit zip code that will be used as the location to find facilities near by. One of zip_code or npis is required.

Example:zip_code=36925
building_typestring(BuildingType)

The type of facility building, which can be Clinic or Hospital.

Enum:"clinic""hospital"
pageinteger

The zero indexed page of results.

page_sizeinteger

The number of results to return per page.

visit_reason_idstring

The Zocdoc ID of the visit reason to search by zip_code for. See Reference Data for options.

Example:visit_reason_id=pc_FRO-18leckytNKtruw5dLR
insurance_plan_idstring

The Zocdoc ID of the patient's insurance plan to search by zip_code for. Use the Get Insurance Plans endpoint to retrieve available plans.

Example:insurance_plan_id=ip_31820
max_distance_to_patient_miinteger

The maximum distance in miles from the facility to the search location (the center point of the given zip_code). Default is 50 miles.

curl -i -X GET \
  'https://api-developer-sandbox.zocdoc.com/v1-beta/facilities?npis=1234567891%2C0123456789&zip_code=36925&building_type=clinic&page=0&page_size=0&visit_reason_id=pc_FRO-18leckytNKtruw5dLR&insurance_plan_id=ip_31820&max_distance_to_patient_mi=0' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Successful

Bodyapplication/json
request_idstringrequired

Unique request identifier for tracing

pageintegerrequired

The zero based index of the current page.

page_sizeintegerrequired

The size of the current page.

total_countintegerrequired

The total number of result items.

next_urlstringrequired

A link to the next page of results; null if this is the last page of results.

dataArray of objects(Facility)required
Response
{ "request_id": "string", "page": 0, "page_size": 0, "total_count": 0, "next_url": "string", "data": [ {} ] }